Skip to main content
GET
Fetch account details
Fetches a single account by its ID.

Authorizations

x-api-key
string
header
required

Requires authentication via API key and HMAC signature.

  • x-api-key: Your API key generated from your Onboard Business dashboard.
  • x-timestamp: Unix epoch timestamp (seconds) used in signature, allowed skew is 30 seconds
  • x-signature: SHA256 HMAC HEX signature calculated over t={x-timestamp}&{requestBody} using your API Secret.

Path Parameters

accountId
string<uuid>
required

the unique onboard account ID

Response

Account details fetched

id
string<uuid>
required

The customer account identifier

name
string
required

The customer account name

Example:

"ACME Corp"

customerName
string
required

The customer name associated to the details

Example:

"Babajide Apata"

balance
number
required

The account balance on provider

Required range: x >= 0
Example:

"100.00"

availableBalance
number
required

The available balance on provider

Required range: x >= 0
Example:

"100.00"

currency
string
required

The account currency code

Example:

"GBP"

createdDate
string<date-time>
required

The date the customer was created